## bf 20041219ubuntu2

=== Makefile ===
# `make TTY=slang' will build with slang support
# `make TTY=termios' or just `make' will build with termios support

CC	= gcc
LINKER	= gcc
ifndef TTY
  TTY	= termios
endif
ifeq "$(TTY)" "slang"
  LIBS	= -lslang
endif
CFLAGS_F = -O3 -fno-builtin -funsigned-char
CFLAGS_W = -Wno-sign-compare -Wpointer-arith -Wno-system-headers -Wshadow -Wbad-function-cast -Werror
#-Wunreachable-code
CFLAGS	= $(CFLAGS_F) -ansi -Wall $(CFLAGS_W)
#-march=$(shell uname -m)
OBJ	= tty_$(TTY).o bf.o errors.o
BINARY	= bf
CLEAN	= *~ *.bak *.o $(BINARY)
LDFLAGS	= -s

.SUFFIXES: .c .o

all: $(OBJ)
	$(LINKER) $(LDFLAGS) $(LIBS) $(OBJ) -o "$(BINARY)"

%o: %c Makefile
	$(CC) $(CFLAGS) -c -o $@	$<

tty_termios.c: tty.h bf.h
tty_slang.c: tty.h errors.h bf.h
bf.c: bf.h tty.h errors.h
errors.c: errors.h

clean:
	rm -f $(CLEAN)

install:
	install -d $(DESTDIR)/usr/bin
	install $(BINARY) $(DESTDIR)/usr/bin

deb:
	dpkg-buildpackage -rfakeroot

deb-clean:
	rm -rf debian/bf debian/files debian/*substvars
	$(MAKE) clean

## bf 20041219

=== debian/changelog ===
bf (20041219) unstable; urgency=low

  * bf.c: rewrite of ReadProgram() and Interprete() to gain speed,
          removed PutIntoProgram(), added FindMatchingBrackets()
          and removed -d (debug) option; minor changes
  * errors.c: changes to get non-GNU-compatibility
  * stack.[ch]: removed, because useless
  * added examples/quine[123].b, examples/hello.b

 -- Stephan Beyer <s-beyer@gmx.net>  Sun, 19 Dec 2004 14:22:33 +0100

bf (20040828) unstable; urgency=low

  * stack.c, stack.h: added trivial stack implementation
  * bf.c: converted recursion to iteration using stack (advantages:
          faster, no stack overflows on deep loops)
    Note: stack.[ch] became useless, because we use a faster array stack
          now.

 -- Stephan Beyer <s-beyer@gmx.net>  Sat, 28 Aug 2004 09:12:36 +0200

bf (20040728) unstable; urgency=low

  * tty_termios.c is for usage without slang (TODO)
  * tty_slang.c is where slang-specific code went into
  * bf.c: added signal handler for SIGINT (C-c), SIGTERM (kill) and 
          SIGQUIT (C-\), changed default input mode from 4 to 0
  * Makefile: included gcc optimizations
  * added examples/*
  * compiled with Slang support (slang1, not slang1a-utf8)
 
 -- Stephan Beyer <s-beyer@gmx.net>  Thu, 29 Jul 2004 01:30:20 +0200

bf (20040704) unstable; urgency=low

  * "Bugfix" in manpage (unquoted minus)

 -- Stephan Beyer <s-beyer@gmx.net>  Sun,  4 Jul 2004 20:10:57 +0200

bf (20040430) unstable; urgency=low

  * Bugfix: -,1 to -,4 returned \r instead of \n
  * Added -n option to translate \n input to \0.

 -- Stephan Beyer <s-beyer@gmx.net>  Fri, 30 Apr 2004 12:59:22 +0200

bf (20040423) unstable; urgency=low

  * Optimized code, speeded up interpreting

 -- Stephan Beyer <s-beyer@gmx.net>  Fri, 23 Apr 2004 20:40:25 +0200

bf (20040408) unstable; urgency=low

  * Added -, option (0 to 4) to specify new input modes (using S-Lang library)
    and made 4 the default
  * Added -h... (help) and -w option
  * Wrote manual page

 -- Stephan Beyer <s-beyer@gmx.net>  Thu,  8 Apr 2004 13:46:31 +0200

bf (20031030) unstable; urgency=low

  * Initial Release.

 -- Stephan Beyer <s-beyer@gmx.net>  Wed, 10 Mar 2004 19:49:04 +0100

=== debian/control ===
Source: bf
Section: devel
Priority: optional
Maintainer: Stephan Beyer <s-beyer@gmx.net>
Build-Depends: debhelper (>= 4.0.0), slang1-dev | slang1-utf8-dev
Standards-Version: 3.6.1

Package: bf
Architecture: any
Depends: ${shlibs:Depends}
Description: a fast Brainfuck interpreter
 bf ('a Brainfuck interpreter') is a simple and fast interpreter
 for the esoteric programming language Brainfuck. It offers some
 options to define special behavior, which is nice if you take
 part in Brainfuck programming contests with special rules.
 . 
 This package is compiled with S-Lang support.

## bf 20041219ubuntu1

=== debian/changelog ===
bf (20041219ubuntu1) dapper; urgency=low

  * slang-transition: Update build-dependency 
    slang1-dev | slang1-utf8-dev to libslang2-dev.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Wed,  8 Feb 2006 02:09:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Stephan Beyer <s-beyer@gmx.net>
-Build-Depends: debhelper (>= 4.0.0), slang1-dev | slang1-utf8-dev
+Build-Depends: debhelper (>= 4.0.0), libslang2-dev
 Standards-Version: 3.6.1
 
 Package: bf

## bf 20041219ubuntu2

=== debian/changelog ===
bf (20041219ubuntu2) gutsy; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Aug 2007 10:51:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bf
 Section: devel
 Priority: optional
-Maintainer: Stephan Beyer <s-beyer@gmx.net>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephan Beyer <s-beyer@gmx.net>
 Build-Depends: debhelper (>= 4.0.0), libslang2-dev
 Standards-Version: 3.6.1

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

configure:
	# do nothing

build: 
	dh_testdir
	$(MAKE) TTY=slang

clean:
	dh_testdir
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	$(MAKE) install DESTDIR=$(CURDIR)/debian/bf

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples examples/INDEX examples/*.b
#	dh_install
#	dh_installmenu
#	dh_installmime
	dh_installman bf.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## bf 20041219ubuntu3

=== debian/changelog ===
bf (20041219ubuntu3) karmic; urgency=low

  * bf.c: work around to fix gcc warning (LP: #453469):
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=35903
    This fix a "array subscript is above array bounds" warning.
  * debian/control: 
    - Fixed lithian debian-rules-ignores-make-clean-error,
    - debhelper Build-Depends changed to 6
  * debian/compat: Changed to 6

 -- Alfonso Cepeda Caballos <cepeda@gmail.com>  Sun, 18 Oct 2009 18:19:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Stephan Beyer <s-beyer@gmx.net>
-Build-Depends: debhelper (>= 4.0.0), libslang2-dev
+Build-Depends: debhelper (>= 6), libslang2-dev
 Standards-Version: 3.6.1
 
 Package: bf

## bf 20041219ubuntu4

=== debian/changelog ===
bf (20041219ubuntu4) oneiric; urgency=low

  * Makefile: fixing library order at the linker call (LP: #765951)

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Sun, 04 Sep 2011 20:30:17 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bf
 Section: devel
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Stephan Beyer <s-beyer@gmx.net>
 Build-Depends: debhelper (>= 6), libslang2-dev
 Standards-Version: 3.6.1

## bf 20041219ubuntu5

=== debian/changelog ===
bf (20041219ubuntu5) quantal; urgency=low

  * debian/control: added ${misc:Depends} since debhelper is used. 

 -- Benjamin Kerensa <bkerensa@ubuntu.com>  Mon, 24 Sep 2012 00:27:16 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: bf
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: a fast Brainfuck interpreter
  bf ('a Brainfuck interpreter') is a simple and fast interpreter
  for the esoteric programming language Brainfuck. It offers some

## bf 20041219ubuntu6

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 .SUFFIXES: .c .o
 
 all: $(OBJ)
-	$(LINKER) $(LDFLAGS) $(LIBS) $(OBJ) -o "$(BINARY)"
+	$(LINKER) $(LDFLAGS) $(OBJ) -o "$(BINARY)" $(LIBS)
 
 %o: %c Makefile
 	$(CC) $(CFLAGS) -c -o $@	$<

=== debian/changelog ===
bf (20041219ubuntu6) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:14:18 +0000

## bf 20041219ubuntu7

=== debian/changelog ===
bf (20041219ubuntu7) hirsute; urgency=medium

  * bf.{c,h}: Fix FTBFS with GCC 10 due to multiple definitions.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 20 Jan 2021 23:26:16 -0500

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 clean:
 	dh_testdir
-	-$(MAKE) clean
+	$(MAKE) clean
 	dh_clean 
 
 install: build
